<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tmerclub.cloud.user.mapper.UserScoreLogMapper">
  <resultMap id="userScoreLogMap" type="com.tmerclub.cloud.user.model.UserScoreLog">
    <id column="log_id" property="logId" />
    <result column="create_time" property="createTime"/>
    <result column="update_time" property="updateTime"/>
    <result column="user_id" property="userId"/>
    <result column="source" property="source"/>
    <result column="score" property="score"/>
    <result column="biz_id" property="bizId"/>
    <result column="io_type" property="ioType"/>
  </resultMap>
  <sql id="Vo_Column_List">
    `log_id`,`create_time`,`update_time`,`user_id`,`source`,`score`,`biz_id`,`io_type`
  </sql>
  <select id="listToMongodb" resultType="com.tmerclub.cloud.user.model.UserScoreLog">
    select <include refid="Vo_Column_List"/>
    from user_score_log
    order by log_id
    limit #{start}, #{size}
  </select>
</mapper>
